Security Enhanced Linux Reference Policy

# Layer: services

## Module: vdagent

Interfaces

### Description:

Spice agent for Linux.

### Interfaces:

vdagent_admin( domain , role )

##### Summary

All of the rules required to administrate an vdagent environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

vdagent_domtrans( domain )

##### Summary

Execute a domain transition to run vdagent.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vdagent_getattr_exec_files( domain )

##### Summary

Get attributes of vdagent executable files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vdagent_getattr_log( domain )

##### Summary

Get attributes of vdagent log files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

vdagent_stream_connect( domain )

##### Summary

Connect to vdagent with a unix domain stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return